1. TeflonChef's Avatar
    Has anybody else notice that it seems like more programs are requiring 4.3 these days. Time for a new IPod Touch. 3 years with my beloved 16g IPod Touch 2G Jailbroken MB which I paid $279.00 brand new which almost in the same condition. Time to hand it down!
    2012-10-10 03:36 AM
LINK TO POST COPIED TO CLIPBOARD